Package org.bukkit.util.noise

# Class PerlinOctaveGenerator

java.lang.Object
org.bukkit.util.noise.OctaveGenerator
org.bukkit.util.noise.PerlinOctaveGenerator

public class PerlinOctaveGenerator extends OctaveGenerator
Creates perlin noise through unbiased octaves

## Field Summary

### Fields inherited from class org.bukkit.util.noise.OctaveGenerator

`octaves, xScale, yScale, zScale`

## Constructor Summary

Constructors
Constructor
Description
`PerlinOctaveGenerator(long seed, int octaves)`
Creates a perlin octave generator for the given world
`PerlinOctaveGenerator(@NotNull Random rand, int octaves)`
Creates a perlin octave generator for the given `Random`
`PerlinOctaveGenerator(@NotNull World world, int octaves)`
Creates a perlin octave generator for the given world

## Method Summary

### Methods inherited from class org.bukkit.util.noise.OctaveGenerator

`getOctaves, getXScale, getYScale, getZScale, noise, noise, noise, noise, noise, noise, setScale, setXScale, setYScale, setZScale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PerlinOctaveGenerator

public PerlinOctaveGenerator(@NotNull @NotNull World world, int octaves)
Creates a perlin octave generator for the given world

Parameters:
  `world` - World to construct this generator for
  `octaves` - Amount of octaves to create

### PerlinOctaveGenerator

public PerlinOctaveGenerator(long seed, int octaves)
Creates a perlin octave generator for the given world

Parameters:
  `seed` - Seed to construct this generator for
  `octaves` - Amount of octaves to create

### PerlinOctaveGenerator

public PerlinOctaveGenerator(@NotNull @NotNull Random rand, int octaves)
Creates a perlin octave generator for the given `Random`

Parameters:
  `rand` - Random object to construct this generator for
  `octaves` - Amount of octaves to create